# Method: accounts.locations.localPosts.patch

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/patch#body.aspect)

Updates the specified local post and returns the updated local post.

### HTTP request

`PATCH https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*/localPosts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the local post to update. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The specific fields to update. You must specify each field that is being updated in the mask. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts#LocalPost`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts#LocalPost`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).